# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTML/Mason/Resolver.pm) perl(HTML/Mason/Resolver/File.pm) perl(HTML/Mason/Resolver/Null.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.001
%define module_name MasonX-Resolver-Multiplex
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: multiplex several Resolver objects
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HD/HDP/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Use this Resolver subclass when you want to combine the behavior of other
Resolver subclasses, such as in the the SYNOPSIS entry elsewhere in this document.

This class delegates methods to its contained `resolvers'.  Each method is
called on each resolver in order; the first to return a true value 'wins'.

Delegated methods:

=over

=item * get_info

=item * glob_path

=item * apache_request_to_comp_path (if present)

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

